Package org.springframework.security.web.server.authentication

# Class HttpBasicServerAuthenticationEntryPoint

java.lang.Object
org.springframework.security.web.server.authentication.HttpBasicServerAuthenticationEntryPoint

All Implemented Interfaces:
  `ServerAuthenticationEntryPoint`

public class HttpBasicServerAuthenticationEntryPoint extends Object implements ServerAuthenticationEntryPoint
Prompts a user for HTTP Basic authentication.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`HttpBasicServerAuthenticationEntryPoint()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)`
Initiates the authentication flow
`void`
`setRealm(String realm)`
Sets the realm to be used

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpBasicServerAuthenticationEntryPoint

public HttpBasicServerAuthenticationEntryPoint()

## Method Details

### commence

public reactor.core.publisher.Mono<Void> commence(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.core.AuthenticationException ex)
Description copied from interface: `ServerAuthenticationEntryPoint`
Initiates the authentication flow

Specified by:
  `commence` in interface `ServerAuthenticationEntryPoint`
Returns:
  `Mono<Void>` to indicate when the request for authentication is complete

### setRealm

public void setRealm(String realm)
Sets the realm to be used

Parameters:
  `realm` - the realm. Default is "Realm"